# num_iters=2
# step_size=2.0
num_iters=10
step_size=1.25
batch_size=128
total_steps=5000

output_dir="../train_results/0814_STD_FT/"

# SD + Caps5
# /data/robust_crossmodal-retrieval/configs/Retrieval_flickr_train_clip_b128_caps_k=5_StableDiff_manyToOne_top1.yaml

#########################################
##############  each aug  ###############
#########################################
aug_n=0
aug_m=0
scale=0.8

config_list=(
    ./configs/ICLR/flickr30k/caps_k=1.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_Caps.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_EDA1234.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_ImageCap1234.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_Llama1234.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_RandAug1234.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_SD0123.yaml
    # ./configs/ICLR/flickr30k/caps_k=1_SD0123+Caps.yaml
)
config_name_list=(
    base
    # Caps
    # EDA1234
    # ImageCap1234
    # Llama1234
    # RandAug1234
    # SD1234
    # SD1234+Caps
)

# EDA
alpha_list=(0.0)
for alpha in ${alpha_list[@]}; do

    for i in ${!config_list[@]}; do
        config=${config_list[$i]}
        config_name=${config_name_list[$i]}

        is_eda=False
        mark=att-${attack}_${config_name}
        if [ $alpha != 0.0 ]; then
            mark=${mark}-EDA${alpha}befAtt
            is_eda=True
        fi

        python3 -m torch.distributed.launch --nproc_per_node=1 --use_env --master_port=$RANDOM \
            train_clip_clean.py \
            --config $config \
            --model CLIP_ViT-B-16 \
            --model_name CLIP_ViT-B-16 \
            --train_config ./configs/train/full/clip_base.yaml \
            --step_size $step_size \
            --num_iters $num_iters \
            --alpha_sr $alpha \
            --alpha_ri $alpha \
            --alpha_rs $alpha \
            --p_rd $alpha \
            --alpha_unsup 0 \
            --alpha_sup 1 \
            --output_dir $output_dir \
            --batch_size $batch_size \
            --total_steps $total_steps \
            --aug_n $aug_n \
            --aug_m $aug_m \
            --aug_scale $scale \
            --is_eda $is_eda \
            --mark $mark
    done
done
